﻿@model GoC.AppStatus.WebClient.Models.ServiceModel

@using GoC.AppStatus.WebClient.Models;

<link rel="stylesheet" type="text/css" href="@Url.Content("~/Static/Styles/myStyle.css")" />

<div class="form-group">
    <label for="Url"
           class="required">
        @Localizer["Url"]
        <strong class="required">&nbsp;(@Localizer["required"])</strong>
        <br />
        <span style="font-size:100%"
              class="label label-danger"
              asp-validation-for="Url"></span>
    </label>
    <input asp-for="Url"
           type="url"
           name="Url"
           class="form-control"
           id="Url"
           placeholder="@Localizer["Url"]"
           required="required" />
</div>
<div class="form-group">
    <label for="Name"
           class="required">
        @Localizer["Name"]
        <strong class="required">&nbsp;(@Localizer["required"])</strong>
        <br />
        <span style="font-size:100%"
              class="label label-danger"
              asp-validation-for="Name"></span>
    </label>
    <input asp-for="Name"
           type="text"
           name="Name"
           class="form-control"
           id="Name"
           placeholder="@Localizer["Name"]"
           required="required"
           data-rule-minlength="6" />
</div>
<div class="form-group">
    <!--<label for="EnvironmentId"
           class="required">
        @Localizer["Environment"]
        <strong class="required">&nbsp;(@Localizer["required"])</strong>
        <a class="env-btn" type="button" asp-controller="Environments" asp-action="Create"><span class="glyphicon glyphicon-plus"></span></a>
        <br />
        <span style="font-size:100%"
              class="label label-danger"
              asp-validation-for="EnvironmentId"></span>
    </label>--> <!-- if environnement required -->
    <input asp-for="EnvironmentId"
           type="hidden"
           name="EnvironmentId"
           value="0"
           id="EnvironmentId"
           class="form-control" />
    <!--required="required"--> <!-- if environnement required -->
    <div class="row">
        @foreach (var env in (List<EnvironmentModel>)ViewData["Environments"])
        {
            <label class="env-panel-label">
                <input asp-for="EnvironmentId" class="radio-colour" type="radio" name="assign-env-id" value="@env.Id" onclick="setEnvId(this);">
                <span class="col-md-1 circle" style="background: #@env.Colour;">@env.Title</span>
            </label>
        }
    </div>
</div>

<script>
    window["wb-frmvld"] = { "ignore": "" }; // to force validation of hidden fields

    function setEnvId(elem) {
        document.getElementById("EnvironmentId").value = elem.value;
    }
</script>
